<?xml version="1.0" encoding="UTF-8"?>
<!-- Guacamole's default authentication module is a simple xml file.
  Each user is specified with a corresponding <authorized> tag. This
  tag contains all authorized connections for that user each denoted
  with a <connections> tag. Each <connection> tag contains a
  protocol and set of protocol-specific parameters, specified with
  the <protocol> and <param> tags respectively. For more information
  visit http://guac-dev.org/doc/gug/configuring-guacamole.html -->


<user-mapping>
	
    <!-- Per-user authentication and config information md5 -s "Npasswd" -->
    <authorize username="admin" password="4ee438b74bd65c9f8402e7e48fa64fb7" encoding="md5">
	<connection name="vnc-hub">
		<protocol>vnc</protocol>
		<param name="hostname">192.168.0.50</param>
		<param name="port">5901</param>
		<param name="password">vncpass</param>
		<param name="color-depth">24</param>
	</connection>
	<connection name="rdp-windows">
		<protocol>rdp</protocol>
		<param name="hostname">192.168.0.81</param>
		<param name="port">3389</param>
		<param name="security">nla</param>
		<param name="ignore-cert">true</param>
		<param name="username">v</param>
		<param name="password">v</param>
	</connection>
	<connection name="ssh-nas">
        	<protocol>ssh</protocol>
        	<param name="hostname">192.168.0.10</param>
        	<param name="port">22</param>
		<param name="font-name">monospace</param>
	</connection>
	<connection name="vnc-rpi">
		<protocol>vnc</protocol>
		<param name="hostname">192.168.200.192</param>
		<param name="port">5901</param>
		<param name="password">vncpass</param>
		<param name="color-depth">24</param>
	</connection>
	<connection name="ssh-rpi">
        	<protocol>ssh</protocol>
        	<param name="hostname">192.168.200.192</param>
        	<param name="port">22</param>
		<param name="font-name">monospace</param>
	</connection>
	<connection name="ssh-dev">
        	<protocol>ssh</protocol>
        	<param name="hostname">192.168.55.105</param>
        	<param name="port">22</param>
		<param name="font-name">monospace</param>
	</connection>
    </authorize>

    <authorize username="inseego" password="7cc6a3864acc736437f606146083abad" encoding="md5">
	<connection name="vnc">
		<protocol>vnc</protocol>
		<param name="hostname">192.168.200.192</param>
		<param name="port">5901</param>
		<param name="password">vncpass</param>
		<param name="color-depth">24</param>
	</connection>
	<connection name="ssh">
        	<protocol>ssh</protocol>
        	<param name="hostname">192.168.200.192</param>
        	<param name="port">22</param>
		<param name="font-name">monospace</param>
	</connection>
    </authorize>

</user-mapping>
